// STM32F103C8T6
// 周波数カウンター Frequency counter（別名：OCXO　校正器:Calibrator）
// 2020/05/25

/* PB0を使った電子ブザーの選択 */
#define BOARD_V5_BUZZER   // BUZZER=PB0

/* 表示器の選択(何れか） */
//#define OPTION_SSD1309_OLED		// Input ANALOG_4_BUTTON_SW
#define OPTION_ILI9341_TFT		// Input XPT2046_TOUCH_SW

/* GPS受信機の選択(何れか） */
//#define OPTION_AE_GNSS
#define OPTION_UBLOX_NEO

/* UBlox ENO-7M M8N の識別(何れか） */
//#define SEL_UBLOX_NEO_7M
#define SEL_UBLOX_NEO_M8N

/* 温度センサー使用
//  ■■先ずは、温度センサーを使うか／使わないかを設定■■
*/ 
#define OPTION_USE_TEMPERATURE_SENSOR   // OLEDでは温度センサーは選択しないこと。

/* 温度センサーの種類を選択（いずれか一つを選択）
// 
//  ■■次に、使用するセンサーの種類を設定する。■■
//  更にセンサー校正用に、電圧値をそのまま表示する選択もあり。

//     OLED(No1) ===>LM61 ===>MPC9700A(2020/10/15)==>採用しない。
//     TFT大(No2) ===>MPC9700A ===> TMP36(2020/10/23)
//     TFT小(No3) ===>LM61
*/
#define OPTION_TEMPERATURE_SENSOR_LM61    //  TFT小(No3)
//#define OPTION_TEMPERATURE_SENSOR_TMP36   // TFT大(No2)
//#define SENSOR_TEST_MODE    // 温度センサー値を電圧値として表示する。(mV表示)


/*
 * 
 * UBlox ENO-7M M8N の識別は、以下の条件式で選択する(2020/06/07)
 * #if defined(OPTION_UBLOX_NEO) && defined(SEL_UBLOX_NEO_M8N)
 * #if defined(OPTION_UBLOX_NEO) && defined(SEL_UBLOX_NEO_7M)
 * 
 * 2020/07/17現在、温度センサーLM61は、OLEDタイプに接続。
 * 　　　　　　　　　　　　　　MPC9700Aは、TFTタイプに接続中。
 */
